ode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: ODE-trunk-jdk6 #649
Date Tue, 09 Jul 2013 17:18:19 GMT
See <https://builds.apache.org/job/ODE-trunk-jdk6/649/>

------------------------------------------
[...truncated 766 lines...]
+ [[ -n '' ]]
+ [[ jruby-1.7.3 == default ]]
+ echo jruby-1.7.3
+ GREP_OPTIONS=
+ grep @
+ ruby_string=jruby-1.7.3
+ gemset_name=
+ repo_url=
+ branch_name=
+ ruby_name=
+ __rvm_unset_ruby_variables
+ unset rvm_env_string rvm_ruby_string rvm_ruby_strings rvm_ruby_binary rvm_ruby_gem_home
rvm_ruby_gem_path rvm_ruby_home rvm_ruby_interpreter rvm_ruby_irbrc rvm_ruby_log_path rvm_ruby_major_version
rvm_ruby_minor_version rvm_ruby_package_name rvm_ruby_patch_level rvm_ruby_release_version
rvm_ruby_repo_url rvm_ruby_repo_branch rvm_ruby_revision rvm_ruby_selected_flag rvm_ruby_tag
rvm_ruby_version rvm_head_flag rvm_ruby_package_file rvm_ruby_configure rvm_ruby_name rvm_ruby_url
rvm_ruby_global_gems_path rvm_ruby_args rvm_ruby_name rvm_llvm_flag
+ __rvm_load_rvmrc
+ typeset _file
+ typeset -a rvm_rvmrc_files
+ ((  0 == 1  ))
+ [[ -n 0022 ]]
+ rvm_rvmrc_files=("/etc/rvmrc" "$HOME/.rvmrc")
+ [[ -n /home/jenkins ]]
+ [[ /home/jenkins/.rvmrc -ef /home/jenkins/.rvmrc ]]
+ rvm_rvmrc_files+=("${rvm_prefix}/.rvmrc")
+ for _file in '"${rvm_rvmrc_files[@]}"'
+ [[ -s /etc/rvmrc ]]
+ for _file in '"${rvm_rvmrc_files[@]}"'
+ [[ -s /home/jenkins/.rvmrc ]]
+ for _file in '"${rvm_rvmrc_files[@]}"'
+ [[ -s /home/jenkins/.rvmrc ]]
+ return 0
+ rvm_ruby_repo_url=
+ rvm_ruby_repo_branch=
+ rvm_ruby_name=
+ [[ -n '' ]]
+ strings=()
+ __rvm_custom_separated_array strings - jruby-1.7.3
+ typeset IFS
+ IFS=-
+ [[ -n '' ]]
+ eval 'strings+=( $3 )'
++ strings+=($3)
+ ((  2 == 0  ))
+ for string in '${strings[@]}'
+ case "$string" in
+ rvm_ruby_interpreter=jruby
+ for string in '${strings[@]}'
+ case "$string" in
+ [[ jruby == \r\b\x ]]
+ case "$string" in
+ rvm_ruby_version=1.7.3
+ rvm_ruby_revision=
+ rvm_ruby_tag=
+ [[ -z jruby ]]
+ rvm_ruby_version=1.7.3
+ [[ -z 1.7.3 ]]
+ [[ -z 1.7.3 ]]
+ rvm_ruby_string=jruby-1.7.3
+ [[ jruby == \e\x\t ]]
+ ((  0 == 1  ))
+ [[ -n '' ]]
+ [[ -n '' ]]
+ [[ -n '' ]]
+ [[ -n '' ]]
+ [[ -n '' ]]
+ ((  0 == 1  ))
+ ((  0 == 1  ))
+ [[ -n '' ]]
++ __rvm_db jruby_1.7.3_patch_level
++ typeset value key variable
++ key=jruby_1.7.3_patch_level
++ key=jruby_1.7.3_patch_level
++ variable=
++ [[ -f /home/hudson/.rvm/user/db ]]
+++ /home/hudson/.rvm/scripts/db /home/hudson/.rvm/user/db jruby_1.7.3_patch_level
++ value=
++ [[ -z '' ]]
+++ /home/hudson/.rvm/scripts/db /home/hudson/.rvm/config/db jruby_1.7.3_patch_level
++ value=
++ [[ -n '' ]]
++ return 0
+ rvm_ruby_patch_level=
+ [[ -n '' ]]
+ [[ -n '' ]]
+ detected_rvm_ruby_name=
+ true
+ rvm_archive_extension=tar.gz
+ [[ -z jruby ]]
+ case "${rvm_ruby_interpreter:-missing}" in
+ rvm_ruby_patch_level=
++ __rvm_db jruby_repo_url
++ typeset value key variable
++ key=jruby_repo_url
++ key=jruby_repo_url
++ variable=
++ [[ -f /home/hudson/.rvm/user/db ]]
+++ /home/hudson/.rvm/scripts/db /home/hudson/.rvm/user/db jruby_repo_url
++ value=
++ [[ -z '' ]]
+++ /home/hudson/.rvm/scripts/db /home/hudson/.rvm/config/db jruby_repo_url
++ value=git://github.com/jruby/jruby.git
++ [[ -n git://github.com/jruby/jruby.git ]]
++ [[ -z '' ]]
++ echo git://github.com/jruby/jruby.git
++ return 0
+ rvm_ruby_repo_url=git://github.com/jruby/jruby.git
+ rvm_ruby_url=git://github.com/jruby/jruby.git
+ ((  0 == 1  ))
+ ((  0 || 0 || 0 || 0  ))
+ rvm_ruby_version=1.7.3
+ rvm_ruby_tag=1.7.3
+ alias 'jruby_ng=jruby --ng'
+ alias 'jruby_ng_server=jruby --ng-server'
+ [[ -n 1.7.3 ]]
+ case "$rvm_ruby_version" in
+ rvm_ruby_release_version=1
+ rvm_ruby_major_version=1.7
+ rvm_ruby_major_version=7
+ rvm_ruby_minor_version=3
+ [[ jruby == ext ]]
+ rvm_ruby_package_name=jruby-1.7.3
+ rvm_ruby_home=/home/hudson/.rvm/rubies/jruby-1.7.3
+ rvm_ruby_irbrc=/home/hudson/.rvm/rubies/jruby-1.7.3/.irbrc
+ rvm_ruby_binary=/home/hudson/.rvm/rubies/jruby-1.7.3/bin/ruby
+ [[ maglev == \j\r\u\b\y ]]
+ [[ system == \j\r\u\b\y ]]
+ __rvm_gemset_select
+ __rvm_gemset_select_only
+ rvm_ruby_gem_home=/home/hudson/.rvm/gems/jruby-1.7.3
+ : rvm_ignore_gemsets_flag:0:
+ ((  rvm_ignore_gemsets_flag  ))
+ rvm_ruby_global_gems_path=/home/hudson/.rvm/gems/jruby-1.7.3@global
+ __rvm_gemset_handle_default
+ rvm_gemset_name=@@
+ rvm_gemset_name=@@
+ rvm_gemset_name=@
+ rvm_gemset_name=
+ [[ -z '' ]]
+ [[ '' == \g\l\o\b\a\l ]]
+ rvm_ruby_gem_path=/home/hudson/.rvm/gems/jruby-1.7.3:/home/hudson/.rvm/gems/jruby-1.7.3@global
+ [[ -n '' ]]
+ rvm_env_string=jruby-1.7.3
+ true
+ __rvm_gemset_select_validation
+ [[ ! -d /home/hudson/.rvm/gems/jruby-1.7.3 ]]
+ ((  0 == 0 && 0 == 0 && 0 == 0  ))
+ rvm_expected_gemset_name=
+ rvm_gemset_name=
+ __rvm_gemset_select_only
+ rvm_ruby_gem_home=/home/hudson/.rvm/gems/jruby-1.7.3
+ : rvm_ignore_gemsets_flag:0:
+ ((  rvm_ignore_gemsets_flag  ))
+ rvm_ruby_global_gems_path=/home/hudson/.rvm/gems/jruby-1.7.3@global
+ __rvm_gemset_handle_default
+ rvm_gemset_name=@@
+ rvm_gemset_name=@@
+ rvm_gemset_name=@
+ rvm_gemset_name=
+ [[ -z '' ]]
+ [[ '' == \g\l\o\b\a\l ]]
+ rvm_ruby_gem_path=/home/hudson/.rvm/gems/jruby-1.7.3:/home/hudson/.rvm/gems/jruby-1.7.3@global
+ [[ -n '' ]]
+ rvm_env_string=jruby-1.7.3
+ true
+ return 2
+ case $? in
+ true
+ rvm_ruby_selected_flag=1
+ [[ -d /home/hudson/.rvm/log/jruby-1.7.3 ]]
+ rvm_ruby_interpreter=jruby
+ [[ system == jruby ]]
+ [[ ! -d /home/hudson/.rvm/rubies/jruby-1.7.3 ]]
+ [[ 0 -eq 1 ]]
+ rvm_error 'jruby-1.7.3 is not installed.'
+ rvm_pretty_print stderr
+ case "${rvm_pretty_print_flag:=auto}" in
+ case "${TERM:-dumb}" in
+ return 1
+ printf %b 'jruby-1.7.3 is not installed.\n'
jruby-1.7.3 is not installed.
+ rvm_log 'To install do: '\''rvm install jruby-1.7.3'\'''
+ rvm_pretty_print stdout
+ case "${rvm_pretty_print_flag:=auto}" in
+ case "${TERM:-dumb}" in
+ return 1
+ printf %b 'To install do: '\''rvm install jruby-1.7.3'\''\n'
To install do: 'rvm install jruby-1.7.3'
+ export 'rvm_recommended_ruby=rvm install jruby-1.7.3'
+ rvm_recommended_ruby='rvm install jruby-1.7.3'
+ return 1
+ current_result=1
+ ((  result  ))
+ result=1
+ ((  result  ))
+ current_result=0
+ ((  result  ))
+ typeset __local_rvm_trace_flag
+ __local_rvm_trace_flag=0
+ [[ 0 -eq 1 ]]
+ __rvm_teardown
+ builtin command -v __rvm_cleanup_tmp
+ __rvm_cleanup_tmp
+ [[ -d /home/hudson/.rvm/tmp/ ]]
+ case "${rvm_tmp_path%\/}" in
+ __rvm_rm_rf '/home/hudson/.rvm/tmp/8041*'
+ __rvm_rm_rf_verbose '/home/hudson/.rvm/tmp/8041*'
+ typeset target
+ target='/home/hudson/.rvm/tmp/8041*'
+ [[ -n '' ]]
+ [[ -n 4.2.25(1)-release ]]
+ shopt -s extglob
+ case "${target}" in
+ [[ -n /home/hudson/.rvm/tmp/8041* ]]
+ [[ -d /home/hudson/.rvm/tmp/8041* ]]
+ [[ -f /home/hudson/.rvm/tmp/8041* ]]
+ [[ -L /home/hudson/.rvm/tmp/8041* ]]
+ rvm_debug '__rvm_rm_rf already gone: /home/hudson/.rvm/tmp/8041*'
+ ((  0  ))
+ return 0
+ return 0
+ return 0
+ export __rvm_env_loaded
+ : __rvm_env_loaded:1:
+ : __rvm_env_loaded:1:
+ : __rvm_env_loaded:0:
+ [[ -z /home/hudson/.rvm/tmp ]]
+ ((  __rvm_env_loaded > 0  ))
+ [[ -n 4.2.25(1)-release ]]
+ trap - 0 1 2 3 15
+ [[ -n '' ]]
+ [[ -n 0022 ]]
+ umask 0022
+ unset rvm_stored_umask
+ [[ 1 == \1 ]]
+ set -e
+ __variables_definition unset
+ typeset -a __variables_list __array_list
+ typeset __method
+ __method=unset
+ __variables_list=(rvm_head_flag rvm_ruby_selected_flag rvm_user_install_flag rvm_path_flag
rvm_cron_flag rvm_static_flag rvm_default_flag rvm_loaded_flag rvm_llvm_flag rvm_skip_autoreconf_flag
rvm_18_flag rvm_19_flag rvm_20_flag rvm_force_autoconf_flag rvm_dump_environment_flag rvm_verbose_flag
rvm_debug_flag rvm_trace_flag __array_start rvm_pretty_print_flag rvm_create_flag rvm_remove_flag
rvm_gemdir_flag rvm_reload_flag rvm_auto_reload_flag rvm_disable_binary_flag rvm_ignore_gemsets_flag
rvm_skip_gemsets_flag rvm_install_on_use_flag rvm_remote_flag rvm_verify_downloads_flag rvm_skip_openssl_flag
rvm_gems_cache_path rvm_gems_path rvm_man_path rvm_ruby_gem_path rvm_ruby_log_path rvm_gems_cache_path
rvm_archives_path rvm_docs_path rvm_environments_path rvm_examples_path rvm_gems_path rvm_gemsets_path
rvm_help_path rvm_hooks_path rvm_lib_path rvm_log_path rvm_patches_path rvm_repos_path rvm_rubies_path
rvm_scripts_path rvm_src_path rvm_tmp_path rvm_user_path rvm_usr_path rvm_wrappers_path rvm_externals_path
rvm_stored_errexit rvm_ruby_strings rvm_ruby_binary rvm_ruby_gem_home rvm_ruby_home rvm_ruby_interpreter
rvm_ruby_irbrc rvm_ruby_major_version rvm_ruby_minor_version rvm_ruby_package_name rvm_ruby_patch_level
rvm_ruby_release_version rvm_ruby_repo_url rvm_ruby_repo_branch rvm_ruby_revision rvm_ruby_tag
rvm_ruby_sha rvm_ruby_version rvm_ruby_package_file rvm_ruby_name rvm_ruby_name rvm_ruby_args
rvm_ruby_user_tag rvm_ruby_patch detected_rvm_ruby_name __rvm_env_loaded next_token rvm_error_message
rvm_gemset_name rvm_parse_break rvm_token rvm_action rvm_export_args rvm_gemset_separator
rvm_expanding_aliases rvm_architectures rvm_tar_command rvm_tar_options rvm_patch_original_pwd
rvm_project_rvmrc rvm_archive_extension rvm_autoinstall_bundler_flag rvm_codesign_identity
rvm_expected_gemset_name rvm_with_gems rvm_without_gems rvm_ignore_dotfiles_flag rvm_latest_binary_flag
rvm_fuzzy_flag rvm_autolibs_flag rvm_autolibs_flag_number rvm_autolibs_flag_runner rvm_quiet_curl_flag
rvm_max_time_flag rvm_error_clr rvm_warn_clr rvm_debug_clr rvm_notify_clr rvm_reset_clr rvm_error_color
rvm_warn_color rvm_debug_color rvm_notify_color rvm_reset_color)
+ __array_list=(rvm_patch_names rvm_ree_options rvm_autoconf_flags)
+ case "${__method}" in
+ unset rvm_patch_names rvm_ree_options rvm_autoconf_flags
+ unset rvm_head_flag rvm_ruby_selected_flag rvm_user_install_flag rvm_path_flag rvm_cron_flag
rvm_static_flag rvm_default_flag rvm_loaded_flag rvm_llvm_flag rvm_skip_autoreconf_flag rvm_18_flag
rvm_19_flag rvm_20_flag rvm_force_autoconf_flag rvm_dump_environment_flag rvm_verbose_flag
rvm_debug_flag rvm_trace_flag __array_start rvm_pretty_print_flag rvm_create_flag rvm_remove_flag
rvm_gemdir_flag rvm_reload_flag rvm_auto_reload_flag rvm_disable_binary_flag rvm_ignore_gemsets_flag
rvm_skip_gemsets_flag rvm_install_on_use_flag rvm_remote_flag rvm_verify_downloads_flag rvm_skip_openssl_flag
rvm_gems_cache_path rvm_gems_path rvm_man_path rvm_ruby_gem_path rvm_ruby_log_path rvm_gems_cache_path
rvm_archives_path rvm_docs_path rvm_environments_path rvm_examples_path rvm_gems_path rvm_gemsets_path
rvm_help_path rvm_hooks_path rvm_lib_path rvm_log_path rvm_patches_path rvm_repos_path rvm_rubies_path
rvm_scripts_path rvm_src_path rvm_tmp_path rvm_user_path rvm_usr_path rvm_wrappers_path rvm_externals_path
rvm_stored_errexit rvm_ruby_strings rvm_ruby_binary rvm_ruby_gem_home rvm_ruby_home rvm_ruby_interpreter
rvm_ruby_irbrc rvm_ruby_major_version rvm_ruby_minor_version rvm_ruby_package_name rvm_ruby_patch_level
rvm_ruby_release_version rvm_ruby_repo_url rvm_ruby_repo_branch rvm_ruby_revision rvm_ruby_tag
rvm_ruby_sha rvm_ruby_version rvm_ruby_package_file rvm_ruby_name rvm_ruby_name rvm_ruby_args
rvm_ruby_user_tag rvm_ruby_patch detected_rvm_ruby_name __rvm_env_loaded next_token rvm_error_message
rvm_gemset_name rvm_parse_break rvm_token rvm_action rvm_export_args rvm_gemset_separator
rvm_expanding_aliases rvm_architectures rvm_tar_command rvm_tar_options rvm_patch_original_pwd
rvm_project_rvmrc rvm_archive_extension rvm_autoinstall_bundler_flag rvm_codesign_identity
rvm_expected_gemset_name rvm_with_gems rvm_without_gems rvm_ignore_dotfiles_flag rvm_latest_binary_flag
rvm_fuzzy_flag rvm_autolibs_flag rvm_autolibs_flag_number rvm_autolibs_flag_runner rvm_quiet_curl_flag
rvm_max_time_flag rvm_error_clr rvm_warn_clr rvm_debug_clr rvm_notify_clr rvm_reset_clr rvm_error_color
rvm_warn_color rvm_debug_color rvm_notify_color rvm_reset_color
+ builtin command -v __rvm_cleanup_download
+ return 0
+ ((  __local_rvm_trace_flag > 0  ))
+ return 1
Build step 'Execute shell' marked build as failure
[locks-and-latches] Releasing all the locks
[locks-and-latches] All the locks released
Recording test results

Mime
View raw message